package com.neusoft.smart.pos.exchangeStrategy.persistent.mapper;

import com.neusoft.smart.pos.exchangeStrategy.persistent.domain.ExchangeStrategy;
import com.neusoft.smart.pos.exchangeStrategy.persistent.domain.ExchangeStrategyExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExchangeStrategyMapper {
    int countByExample(ExchangeStrategyExample example);

    int deleteByExample(ExchangeStrategyExample example);

    int deleteByPrimaryKey(Integer strategyId);

    int insert(ExchangeStrategy record);

    int insertSelective(ExchangeStrategy record);

    List<ExchangeStrategy> selectByExample(ExchangeStrategyExample example);

    ExchangeStrategy selectByPrimaryKey(Integer strategyId);

    int updateByExampleSelective(@Param("record") ExchangeStrategy record, @Param("example") ExchangeStrategyExample example);

    int updateByExample(@Param("record") ExchangeStrategy record, @Param("example") ExchangeStrategyExample example);

    int updateByPrimaryKeySelective(ExchangeStrategy record);

    int updateByPrimaryKey(ExchangeStrategy record);

    void batchInsert(@Param("items") List<ExchangeStrategy> items);
}